Subject: Re: [PATCH] Move test-* to t/helper/ subdirectory

From: Duy Nguyen <[email-masked]>
Date: Tue, 10 May 2016 18:58:56 +0700

On Mon, May 09, 2016 at 09:03:44AM -0700, Junio C Hamano wrote:
> Duy Nguyen <[email-masked]> writes:
> 
> > So among the options we have so far, which way should we go, or leave it as is?
> 
> Thanks for reminding me.
> 
> I like that version you sent with "I may have rushed to judgment"
> comment the most.  Perhaps I can just queue it with s/PATH/PROG/
> fixup?

Or a simpler, more-to-the-point patch like this?

-- 8< --
Subject: [PATCH] wrap-for-bin.sh: regenerate bin-wrappers when switching branches

Commit e6e7530 (test helpers: move test-* to t/helper/ subdirectory -
2016-04-13) moves test-* to t/helper. However because bin-wrappers/*
only depend on wrap-for-bin.sh, when switching between a branch that has
this commit and one that does not, bin-wrappers/* may not be regenerated
and point to the old/outdated test programs.

This commit makes a non-functional change in wrap-for-bin.sh, just
enough for 'make' to detect and re-execute wrap-for-bin.sh. When
switching between a branch containing both this commit and e6e7530 and
one containing neither, bin-wrappers/*, we should get fresh bin-wrappers/*.

Signed-off-by: Nguyễn Thái Ngọc Duy <[email-masked]>
---
 wrap-for-bin.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/wrap-for-bin.sh b/wrap-for-bin.sh
index db0ec6a..22b6e49 100644
--- a/wrap-for-bin.sh
+++ b/wrap-for-bin.sh
@@ -17,6 +17,7 @@ fi
 GITPERLLIB='@@BUILD_DIR@@/perl/blib/lib'"${GITPERLLIB:+:$GITPERLLIB}"
 GIT_TEXTDOMAINDIR='@@BUILD_DIR@@/po/build/locale'
 PATH='@@BUILD_DIR@@/bin-wrappers:'"$PATH"
+
 export GIT_EXEC_PATH GITPERLLIB PATH GIT_TEXTDOMAINDIR
 
 if test -n "$GIT_TEST_GDB"
-- 
2.8.2.524.g6ff3d78
-- 8< --
--
Duy